Package it.ernytech.tdlib

## Class TdApi.LocalFile

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.LocalFile

Enclosing class:
  TdApi

    public static class TdApi.LocalFile
    extends TdApi.Object

Represents a local file.

### Field Summary

Fields
`boolean` `canBeDeleted` True, if the file can be deleted.
`boolean` `canBeDownloaded` True, if it is possible to try to download or generate the file.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `downloadedPrefixSize` If isDownloadingCompleted is false, then only some prefix of the file is ready to be read. downloadedPrefixSize is the size of that prefix.
`int` `downloadedSize` Total downloaded file bytes.
`boolean` `isDownloadingActive` True, if the file is currently being downloaded (or a local copy is being generated by some other means).
`boolean` `isDownloadingCompleted` True, if the local copy is fully available.
`java.lang.String` `path` Local path to the locally available file part; may be empty.

### Constructor Summary

Constructors
`LocalFile()` Default constructor.
`LocalFile​(java.lang.String path, boolean canBeDownloaded, boolean canBeDeleted, boolean isDownloadingActive, boolean isDownloadingCompleted, int downloadedPrefixSize, int downloadedSize)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### path

    public java.lang.String path

Local path to the locally available file part; may be empty.

#### canBeDownloaded

    public boolean canBeDownloaded

True, if it is possible to try to download or generate the file.

#### canBeDeleted

    public boolean canBeDeleted

True, if the file can be deleted.

#### isDownloadingActive

    public boolean isDownloadingActive

True, if the file is currently being downloaded (or a local copy is being generated by some other means).

#### isDownloadingCompleted

    public boolean isDownloadingCompleted

True, if the local copy is fully available.

#### downloadedPrefixSize

    public int downloadedPrefixSize

If isDownloadingCompleted is false, then only some prefix of the file is ready to be read. downloadedPrefixSize is the size of that prefix.

#### downloadedSize

    public int downloadedSize

Total downloaded file bytes. Should be used only for calculating download progress. The actual file size may be bigger, and some parts of it may contain garbage.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### LocalFile

    public LocalFile()

Default constructor.

#### LocalFile

    public LocalFile​(java.lang.String path,
                     boolean canBeDownloaded,
                     boolean canBeDeleted,
                     boolean isDownloadingActive,
                     boolean isDownloadingCompleted,
                     int downloadedPrefixSize,
                     int downloadedSize)

Constructor for initialization of all fields.

Parameters:
  `path` - Local path to the locally available file part; may be empty.
  `canBeDownloaded` - True, if it is possible to try to download or generate the file.
  `canBeDeleted` - True, if the file can be deleted.
  `isDownloadingActive` - True, if the file is currently being downloaded (or a local copy is being generated by some other means).
  `isDownloadingCompleted` - True, if the local copy is fully available.
  `downloadedPrefixSize` - If isDownloadingCompleted is false, then only some prefix of the file is ready to be read. downloadedPrefixSize is the size of that prefix.
  `downloadedSize` - Total downloaded file bytes. Should be used only for calculating download progress. The actual file size may be bigger, and some parts of it may contain garbage.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR